--- ../../gnus-5.6.38/lisp/nnheader.el	Fri Jun 26 04:26:47 1998
+++ nnheader.el	Sun Aug 16 19:11:48 1998
@@ -54,6 +54,14 @@
 
 \(setq nnheader-file-name-translation-alist '((?: . ?_)))")
 
+(defvar nnheader-user-address-regexp (user-full-name)
+  "*Regexp matching the user's name and/or address as it appears in the
+\"From:\" header.")
+
+(defvar nnheader-nov-uses-to nil
+  "*If nnheader-nov-uses-to is t, the recipient will be listed in the summary
+if the \"From:\" field matches nnheader-user-address-regexp.")
+
 (eval-and-compile
  (autoload 'nnmail-message-id "nnmail")
  (autoload 'mail-position-on-field "sendmail")
@@ -205,8 +213,19 @@
 	   ;; From.
 	   (progn
 	     (goto-char p)
-	     (if (search-forward "\nfrom: " nil t)
-		 (nnheader-header-value) "(nobody)"))
+             (goto-char p)
+	     (let (from)
+	       (setq from (if (search-forward "\nfrom: " nil t)
+			      (nnheader-header-value) "(nobody)"))
+	       (cond ((and nnheader-nov-uses-to
+			   (string-match nnheader-user-address-regexp from))
+		      (goto-char p)
+		      (if (search-forward "\nto: " nil t)
+			  (concat "To:" (nnheader-header-value))
+			"To:(nobody)"))
+		     (t from))))
+;	     (if (search-forward "\nfrom: " nil t)
+;		 (nnheader-header-value) "(nobody)"))
 	   ;; Date.
 	   (progn
 	     (goto-char p)
